package com.ruoyi.cai.ws.bean;

import com.ruoyi.cai.ws.constant.UserDataConstant;
import lombok.Data;

@Data
public class FdCtxData {

    private String sessionKey;
    private Long roomId;
    private Long userId;
    private Integer userType;
    private Long tarUserId;
    private Integer tarUserType;

    public boolean isReceiver(){
        return userType == UserDataConstant.TYPE_RECEIVER;
    }

    public boolean isCaller(){
        return userType == UserDataConstant.TYPE_CALLER;
    }
}
